新版建议采用Composer包的方式扩展框架及类库,关于Composer的基础知识请参考 Composer 官方文档(英文),或者在看云上阅读本 中文版本

Composer安装

ThinkPHP5.0支持使用Composer安装包,例如在应用根目录下面执行:

composer require topthink/think-mongo

更新

composer update topthink/think-mongo

官方的5.0版本的扩展库版本号都是1.*2.0版本均为ThinkPHP5.1版本专用。

安装指定版本的扩展使用下面的方式

composer require topthink/think-mongo=1.*

或者直接在composer.json中设置依赖的版本号,然后使用composer update更新。